Bug 994865 - Unable to disable stp after upgrade of RHEV 3.0 to 3.1
Unable to disable stp after upgrade of RHEV 3.0 to 3.1
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.4
Unspecified Unspecified
urgent Severity high
: ---
: 3.3.0
Assigned To: Nobody's working on this, feel free to take it
Pavel Stehlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 03:07 EDT by Bryan Yount
Modified: 2016-02-10 14:52 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 01:55:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 446363 None None None Never

  None (edit)
Description Bryan Yount 2013-08-08 03:07:40 EDT
Description of problem:
In the RHEV 3.0 environment, STP was enabled on the host NIC devices. After upgrading to RHEV 3.1, the option to enable/disable STP was removed from the Admin Portal. Now, the only way to disable STP is to manually edit the ifcfg files on the host (not recommended).

Version-Release number of selected component (if applicable):
3.1.0-50

Steps to Reproduce:
1. Install RHEV 3.0
2. Enable STP on at least 1 NIC device on a host and save the configuration
3. Upgrade to RHEV 3.1.z
4. Launch "Setup host networks" screen and attempt to disable STP or try to save the configuration again

Actual results:
STP is always enabled/re-enabled on the host even if STP is manually removed from the ifcfg file

Expected results:
STP should no longer be enabled on the hosts if it is not exposed in the GUI

Additional info:
If this is expected behavior, we should offer customers a way to disable STP across all of their hosts without having to manually edit the rhevm/engine database.
Comment 2 Itamar Heim 2013-08-08 06:07:17 EDT
livnat - is this disabled in ui only or in API as well?
Comment 4 Moti Asayag 2013-08-21 10:27:18 EDT
(In reply to Itamar Heim from comment #2)
> livnat - is this disabled in ui only or in API as well?

The STP property on network level was removed only from the UI and can be modified via the API (on add/update network using network.stp).

- name: /api/networks/{network:id}|rel=update
  request:
    body:
      parameterType: Network
      signatures:
      - mandatoryArguments: {}
        optionalArguments: {network.name: 'xs:string', network.description: 'xs:string', network.comment: 'xs:string', network.vlan.id: 'xs:string',
          network.ip.address: 'xs:string', network.ip.gateway: 'xs:string', network.ip.netmask: 'xs:string',
          network.display: 'xs:boolean', network.stp: 'xs:boolean', network.mtu: 'xs:int'}

Note You need to log in before you can comment on or make changes to this bug.